<template>
  <div id="cards">
    <div class="chart-name">
      设备故障月趋势
      <dv-decoration-3 style="width:200px;height:30px;" />
    </div>
    <dv-charts :option="option" />
  </div>
</template>

<script>
import axios from 'axios'

export default {
  name: 'Cards',
  data() {
    return {
      option: {
        legend: { // 图标
          data: [
            {
              name: '系列A',
              color: '#37a2da'
            },
            {
              name: '系列B',
              color: '#32c5e9'
            }
          ],
          textStyle: {
            fill: '#fff'
          },
          left: 0,
          top: '50%',
          orient: 'vertical',
          iconWidth: 40,  // 宽
          iconHeight: 15, // 高
          itemGap: 15 // 间距
        },
        xAxis: {
          // name: '第一周',
          data: ['周一', '周二', '周三', '周四', '周五', '周六', '周日'],
          nameTextStyle: {  // 轴标题
            fill: '#fff',
            fontSize: 15
          },
          axisLine: { // 轴线
            style: {
              stroke: '#fff'
            }
          },
          axisLabel: {  // 轴字
            style: {
              fill: '#fff',
              fontSize: 12,
            }
          }
        },
        yAxis: {
          name: '销售额',
          position: 'right',
          data: 'value',
          nameTextStyle: {  // 轴标题
            fill: '#fff',
            fontSize: 15,
          },
          axisLine: { // 轴线
            style: {
              stroke: '#fff'
            }
          },
          axisLabel: {  // 轴字
            style: {
              fill: '#fff',
              fontSize: 12,
            }
          }
        },
        series: [  // 数据
          {
            name: '系列A',
            data: [1200, 2230, 1900, 2100, 3500, 4200, 3985],
            type: 'bar',
            gradient: {
              color: ['#37a2da']
            }
          },
          {
            name: '系列B',
            data: [1200, 2230, 1900, 2100, 3500, 4200, 3985],
            type: 'bar',
            gradient: {
              color: ['#32c5e9']
            }
          }
        ]
      }
    }
  },
  methods: {
    httpData() {
      const getApiData = async () => {
        return await axios.get(this.baseUrl + "test.json", { params: {} })
      }
      getApiData().then(result => console.log(result.data))
    }
  },
  mounted() {
    const { httpData } = this

    httpData()

    setInterval(this.httpData, 30000)
  }
}
</script>

<style lang="less">
#cards {
  display: flex;
  justify-content: space-between;
  height: 45%;
  background-color: rgba(6, 30, 93, 0.5);
  border-top: 2px solid rgba(1, 153, 209, .5);
  box-shadow: 0 0 3px blue;
  box-sizing: border-box;
  padding: 5px 0 0 50px;  // 移动图标
  position: relative;

  .chart-name {
    display: flex; align-items: center; gap: 20px; // 动画在右侧
    font-weight: bold;
    position: absolute;
    left: 20px;
    text-align: right;
    font-size: 20px;
    top: 10px;
  }
}
</style>
